LambdaHack-0.11.0.1: A game engine library for tactical squad ASCII roguelike dungeon crawlers

Safe Haskell | None
Language | Haskell2010

Game.LambdaHack.Content.RuleKind

Contents

- Internal operations

Description

The type of game rules and assorted game data.

Synopsis

- data RuleContent = RuleContent {
  - rtitle :: String
  - rWidthMax :: X
  - rHeightMax :: Y
  - rexeVersion :: Version
  - rcfgUIName :: FilePath
  - rcfgUIDefault :: (Text, Config)
  - rwriteSaveClips :: Int
  - rleadLevelClips :: Int
  - rscoresFileName :: FilePath
  - rnearby :: Int
  - rstairWordCarried :: [Text]
  - ritemSymbols :: ItemSymbolsUsedInEngine
  }
- emptyRuleContent :: RuleContent
- makeData :: RuleContent -> RuleContent
- emptyRuleContentRaw :: RuleContent
- validateSingle :: RuleContent -> [Text]

# Documentation

data RuleContent Source #

The type of game rules and assorted game data.

Constructors

RuleContent |

Fields

- rtitle :: String

  title of the game (not lib)

- rWidthMax :: X

  maximum level width

- rHeightMax :: Y

  maximum level height

- rexeVersion :: Version

  version of the game

- rcfgUIName :: FilePath

  name of the UI config file

- rcfgUIDefault :: (Text, Config)

  the default UI settings config file

- rwriteSaveClips :: Int

  game saved that often (not on browser)

- rleadLevelClips :: Int

  server switches leader level that often

- rscoresFileName :: FilePath

  name of the scores file

- rnearby :: Int

  what is a close distance between actors

- rstairWordCarried :: [Text]

  words that can't be dropped from stair name as it goes through levels

- ritemSymbols :: ItemSymbolsUsedInEngine

  item symbols treated specially in engine

emptyRuleContent :: RuleContent Source #

makeData :: RuleContent -> RuleContent Source #

# Internal operations

emptyRuleContentRaw :: RuleContent Source #

validateSingle :: RuleContent -> [Text] Source #

Catch invalid rule kind definitions.